curl --request POST \
--url https://openapi.enginy.ai/v1/webhooks \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"url": "https://your-domain.com/webhooks/enginy",
"events": [
"MESSAGE_REPLIED",
"EMAIL_SENT"
],
"enabled": true
}
'
{
"status": "success",
"message": "<string>",
"data": {
"id": 123,
"name": "<string>",
"url": "<string>",
"events": [
"<string>"
],
"campaignIds": [
123
],
"customFields": [
"<string>"
],
"enabled": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"hasSecret": true
}
}Webhooks
Create webhook subscription
Create a new webhook subscription.
Required scope:
WEBHOOKS_WRITERate limit: 30 requests per minute
POST
/
v1
/
webhooks
curl --request POST \
--url https://openapi.enginy.ai/v1/webhooks \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"url": "https://your-domain.com/webhooks/enginy",
"events": [
"MESSAGE_REPLIED",
"EMAIL_SENT"
],
"enabled": true
}
'
{
"status": "success",
"message": "<string>",
"data": {
"id": 123,
"name": "<string>",
"url": "<string>",
"events": [
"<string>"
],
"campaignIds": [
123
],
"customFields": [
"<string>"
],
"enabled": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"hasSecret": true
}
}Authorizations
Body
application/json
Descriptive name for the webhook
Required string length:
1 - 255Webhook URL (must be valid and not a private IP)
Array of event types to subscribe to
Minimum array length:
1Available options:
CONNECTION_REQUEST_SENT, CONNECTION_REQUEST_ACCEPTED, LINKEDIN_MESSAGE_SENT, EMAIL_SENT, INMAIL_SENT, MESSAGE_REPLIED, POST_LIKED, PROFILE_VISITED Optional secret for webhook authentication (8-256 characters)
Required string length:
8 - 256Optional array of campaign IDs to filter events (empty = all campaigns)
Optional array of additional contact/company fields to include in webhook payloads. Use GET /v1/contacts/fields (MCP tool get_contact_field_metadata) and GET /v1/companies/fields (MCP tool get_company_field_metadata) to discover valid field names.
Whether the webhook is enabled